Bug 58204 - [maintainer update] x11-toolkits/gnocl
Summary: [maintainer update] x11-toolkits/gnocl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-18 14:40 UTC by Stephane Legrand
Modified: 2003-11-21 12:49 UTC (History)
0 users

See Also:


Attachments
file.diff (969 bytes, patch)
2003-10-18 14:40 UTC, Stephane Legrand
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephane Legrand freebsd_committer 2003-10-18 14:40:13 UTC
	x11-toolkits/gnocl update from 0.5.10 to 0.5.12
   
   This should also fix building on AMD64.
Comment 1 Kirill Ponomarev freebsd_committer 2003-10-21 23:04:40 UTC
State Changed
From-To: open->feedback

On -current: 

In file included from gnoclGconf.c:18: 
../gnocl.h:17:21: gtk/gtk.h: No such file or directory 
In file included from gnoclGconf.c:18: 
../gnocl.h:49: error: syntax error before "GtkStockItem" 
../gnocl.h:52: error: syntax error before "GtkWidget" 
../gnocl.h:54: error: syntax error before "GtkWidget" 
../gnocl.h:57: error: syntax error before '*' token 
../gnocl.h:58: error: syntax error before '*' token
Comment 2 Stephane Legrand freebsd_committer 2003-11-10 21:52:13 UTC
It seems the port needs gconf2. Here is a new patch file:


diff -ruN gnocl-orig01/Makefile gnocl/Makefile
--- gnocl-orig01/Makefile	Wed Aug 20 23:57:26 2003
+++ gnocl/Makefile	Fri Oct 31 21:02:27 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gnocl
-PORTVERSION=	0.5.10
+PORTVERSION=	0.5.12
 CATEGORIES=	x11-toolkits devel
 MASTER_SITES=	http://www.dr-baum.net/gnocl/
 
@@ -23,13 +23,19 @@
 CFLAGS+=	-I${LOCALBASE}/include/tcl8.4
 
 USE_X_PREFIX=	yes
-USE_GNOME=	libgnomecanvas
+USE_GNOME=	libgnomecanvas gconf2
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == amd64
+CFLAGS+=	-fPIC
+.endif
 
 GNOCL_CANVAS_FILE="lib/libgnoclCanvas.so.1"
 
 .if defined(WITHOUT_CANVAS)
 ALL_TARGET=	gnocl
-USE_GNOME=	gtk20
+USE_GNOME=	gtk20 gconf2
 GNOCL_CANVAS_FILE=	"@comment "
 .endif
 
@@ -46,4 +52,4 @@
 		${INSTALL_DATA} ${BUILD_WRKSRC}/gnoclCanvas.so ${PREFIX}/lib/libgnoclCanvas.so.1; \
 	fi; \
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN gnocl-orig01/distinfo gnocl/distinfo
--- gnocl-orig01/distinfo	Fri Aug 15 19:38:23 2003
+++ gnocl/distinfo	Fri Oct 31 20:48:03 2003
@@ -1 +1 @@
-MD5 (gnocl-0.5.10.tar.bz2) = 1d1b01c536a58e217cf4f069d5113210
+MD5 (gnocl-0.5.12.tar.bz2) = 2d9894ff9ee3c23fdf89594fb7fc7d18
Comment 3 Pav Lucistnik freebsd_committer 2003-11-21 12:49:05 UTC
State Changed
From-To: feedback->closed

Committed, thanks!